<?php
// $Id: commentaccess.admin.inc,v 1.1 2011/01/27 18:29:19 rschwab Exp $

/**
 * @file
 *
 * Administration settings for commentaccess.module
 */

/**
 * Generate the commentaccess admin settings form
 */
function commentaccess_admin_settings() {
  $form = array();
  $form['commentaccess_text'] = array(
    '#type' => 'fieldset',
    '#title' => t('Text options'),
  );
  $form['commentaccess_text']['commentaccess_approval_msg'] = array(
    '#type' => 'textfield',
    '#size' => 80,
    '#title' => t("Approval queue message"),
    '#description' => t("This message is displayed to a user after submitting a comment that requires author approval. The following variables are available for use: @poster, @node_owner, @subject."),
    '#default_value' => variable_get('commentaccess_approval_msg', t("Your comment will be posted once it's been approved.")),
  );
  $form['mail'] = array(
    '#type' => 'fieldset',
    '#title' => t('Approval email'),
    '#description' => t('Configure the approval notification e-mail generated by Comment Access module. The following variables are available for use: @approver, @commenter, @title, @comment, @commentlink, @nodelink, @site, @siteurl'),
  );
  $form['mail']['commentaccess_mail_subject'] = array(
    '#type' => 'textfield',
    '#title' => t('Subject'),
    '#default_value' => variable_get('commentaccess_mail_subject', t('@commenter posted a new comment!')),
  );
  $form['mail']['commentaccess_mail_message'] = array(
    '#type' => 'textarea',
    '#title' => t('Message'),
    '#rows' => 10,
    '#default_value' => variable_get('commentaccess_mail_message', commentaccess_mail_message_default()),
  );
  // Only display php options if the filter is turned on and user has access
  if (module_exists('php') && user_access('use PHP for settings')) {
    $msg_php = variable_get('commentaccess_approval_php');
    $form['commentaccess_text']['commentaccess_approval_php_fieldset'] = array(
      '#type' => 'fieldset',
      '#collapsible' => TRUE,
      '#collapsed' => empty($msg_php) ? TRUE : FALSE,
      '#title' => t('PHP code'),
    );
    $form['commentaccess_text']['commentaccess_approval_php_fieldset']['commentaccess_approval_php'] = array(
      '#type' => 'textarea',
      '#title' => t('Approval queue message code'),
      '#default_value' => $msg_php,
      '#cols' => 60,
      '#rows' => 6,
      '#description' => '<p>'. t('Advanced Usage Only: PHP code that returns the text of the status message. The PHP code must be entered between %php. Note that executing incorrect PHP-code can break your Drupal site.', array('%php' => '<?php ?>')) .'</p><p>'. t('Note: if set, this will override any Approval queue message text set above.') .'</p>',
    );
  }
  return system_settings_form($form);
}
